Bug 1734610 - [DOCS] Outdated chown command in restoring etcd
Summary: [DOCS] Outdated chown command in restoring etcd
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.11.z
Assignee: Neal Timpe
QA Contact: ge liu
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-31 05:24 UTC by Takayoshi Kimura
Modified: 2019-10-23 02:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:52:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Takayoshi Kimura 2019-07-31 05:24:27 UTC
Document URL: 

https://docs.openshift.com/container-platform/3.11/admin_guide/assembly_replace-etcd-member.html
https://docs.openshift.com/container-platform/3.11/admin_guide/assembly_restoring-cluster.html

Describe the issue: 

In 3.10 and 3.11, etcd static pod runs with root user and etcd user no longer in use.

There are 6 instances of `chown -R etcd:etcd` command in the doc, this command was needed in 3.9 and older.

Suggestions for improvement: 

Remove chown -R etcd:etcd commands

Additional information:

Comment 3 Neal Timpe 2019-08-05 11:38:15 UTC
I've made the changes that I think will fix this. Can you take a look?

Comment 4 Neal Timpe 2019-08-05 11:38:26 UTC
I've made the changes that I think will fix this. Can you take a look?

Comment 5 ge liu 2019-08-06 02:10:08 UTC
LGTM,thx


Note You need to log in before you can comment on or make changes to this bug.